c -*- mode: fundamental -*-
c
c pgf90 -V -Mmp -o omp_d12.exe omp_d12.f
c
c -----------------------------------------------------------------
c
c 11 Directive: REDUCTION
c
c This program shows the use of the REDUCTION clause
c -----------------------------------------------------------------
        program reduction
        implicit none
        integer :: omp_get_thread_num
        integer :: subnodo
        integer :: i, j, k
c .................................................................
        call  omp_set_num_threads (4)
        i = 1
        j = 1
        k = 1
        write (*,*)
        write (*,10)
        write (*,20) i, j, k
!$omp   parallel default (private) reduction (+:i) 
!$omp   parallel reduction (*:j) reduction (max:k) 
        subnodo = omp_get_thread_num ()
        i = subnodo
        j = subnodo
        k = subnodo
        write (*,30)  subnodo, i, j, k
!$omp   end parallel
!$omp   end parallel
        write (*,40)
        write (*,50) i, j, k
        write (*,*)
c .................................................................
   10   format ('                               p   i   j   k ' )
   20   format (' antes de la zona en paralelo', 4x, 3 (i3, 1x) )
   30   format (' hilo en zona paralela       ',     4 (i3, 1x) )
   40   format (' operador                          +   *  max ')
   50   format (' despues del paralelo:           ', 3 (i3, 1x) )
c .................................................................
        end program
c =================================================================
