// -----------------------------------------------------------------
//  PGI:
//  pgCC -V -Minfo -mp -fast -c omp_a02.cpp
//  pgCC -V -Minfo -mp -fast -o omp_a02_cpp.exe omp_a02.o
//  omp_a02_cpp.exe
//
// -----------------------------------------------------------------
//  INTEL: 
//  source /opt/intel_cc_80/bin/iccvars.sh
//  alias icc='/opt/intel_cc_80/bin/icc'
//  /opt/intel_cc_80/bin/icc -openmp -c omp_a02.cpp
//  /opt/intel_cc_80/bin/icc -openmp -o omp_a02_cpp.exe omp_a02.o
//  omp_a02_cpp.exe
//
// -----------------------------------------------------------------
#include <iostream>
#include <omp.h>
using namespace std ;

// -----------------------------------------------------------------
main () {
  // titulos
  cout << endl ;
  cout << " A02: specifying conditional compilation " << endl ;
  cout << endl ;
  // tarea demo
  #ifdef _OPENMP
  cout << endl ;
  cout << " compiled by an OMP compliant implementation "<< endl ;
  cout << endl ;
  #endif
  // finaliza
  cout << endl ;
  cout << " finished "<< endl ;
  cout << endl ;
} // end main
// -----------------------------------------------------------------
