!  =================================================================
!   PGI:
!   pgf90 -V -Minfo -mp -fast -c omp_a05.f90
!   pgf90 -V -Minfo -mp -fast -o omp_a05_f90.exe omp_a05.o
!   omp_a05_f90.exe
! 
!  -----------------------------------------------------------------
!   INTEL: 
!   source /opt/intel_cc_80/bin/iccvars.sh
!   alias f95='/opt/intel_fc_80/bin/ifort'
!   /opt/intel_fc_80/bin/ifort -openmp -c omp_a05.f90
!   /opt/intel_fc_80/bin/ifort -openmp -o omp_a05_f90.exe omp_a05.o
!   omp_a05_f90.exe
!
!  -----------------------------------------------------------------
!   ADAPTOR:
!   adaptor -openmp -free -o omp_a05_ada.exe omp_a05.f90
!   export OMP_NUM_THREADS=2 ; echo $OMP_NUM_THREADS
!   omp_a05_ada.exe
! 
!  -----------------------------------------------------------------
program a05
  implicit none
  integer :: x = 1, u
  integer :: y = 2, v
  ! titulos
  write (*,*)
  write (*,*)'A05: using the critical directive '
  write (*,*)
  ! tarea demo
  !omp$ parallel shared (x,y) private (u,v)
  !omp$ critical (xaxis)
  u = decolar (x) 
  call trabajo (u) 
  write (*,*)'u = ', u
  !omp$ critical (yaxis)
  v = decolar (y) 
  call trabajo (v)
  write (*,*)'v = ', v
  !omp$ end parallel
  ! finaliza
  write (*,*)
  write (*,*)'finished '
  write (*,*)
  contains
   integer function decolar (x) result (y) 
   integer, intent (in) :: x
   y = x
   end function 
   subroutine trabajo (x) 
   integer, intent (in) :: x
   end subroutine
end program
!  =================================================================
