!  =================================================================
!   PGI:
!   pgf90 -V -Minfo -mp -fast -c omp_a06.f90
!   pgf90 -V -Minfo -mp -fast -o omp_a06_f90.exe omp_a06.o
!   omp_a06_f90.exe
! 
!  -----------------------------------------------------------------
!   INTEL: 
!   source /opt/intel_cc_80/bin/iccvars.sh
!   alias f95='/opt/intel_fc_80/bin/ifort'
!   /opt/intel_fc_80/bin/ifort -openmp -c omp_a06.f90
!   /opt/intel_fc_80/bin/ifort -openmp -o omp_a06_f90.exe omp_a06.o
!   omp_a06_f90.exe
! 
!  -----------------------------------------------------------------
!   ADAPTOR:
!   adaptor -openmp -free -o omp_a06_ada.exe omp_a06.f90
!   export OMP_NUM_THREADS=2 ; echo $OMP_NUM_THREADS
!   omp_a06_ada.exe
!
!  -----------------------------------------------------------------
program a06
  implicit none
  integer, parameter :: n = 100
  integer, dimension (n) :: a, b
  integer :: i
  ! titulos
  write (*,*)
  write (*,*)'A06: using the lastprivate clause '
  write (*,*)
  ! inicializa
  !omp$ do parallel
  do  i = 1, n
    a (i) = 0.0
    b (i) = i * 1.0
  end do ! i
  ! tarea demo
  !omp$ parallel
    !omp$ do lastprivate (i)
    do   i = 1, (n - 1)  ;  a (i) = b (i) + b (i + 1) ; end do ! i
  !omp$ end parallel
  write (*,*)'i     = ', i
  write (*,*)'a (i) = ', a (i)
  write (*,*)'b (i) = ', b (i)
  a (i) = b (i)
  ! finaliza
  write (*,*)
  write (*,*)'finished '
  write (*,*)
  contains
   integer function decolar (x) result (y) 
   integer, intent (in) :: x
   y = x
   end function 
   subroutine trabajo (x) 
   integer, intent (in) :: x
   end subroutine
end program
!  =================================================================
