// -----------------------------------------------------------------
//  PGI:
//  pgCC -V -Minfo -mp -fast -c omp_a08.cpp
//  pgCC -V -Minfo -mp -fast -o omp_a08_cpp.exe omp_a08.o
//  omp_a08_cpp.exe
//
// -----------------------------------------------------------------
//  INTEL: 
//  source /opt/intel_cc_80/bin/iccvars.sh
//  alias icc='/opt/intel_cc_80/bin/icc'
//  /opt/intel_cc_80/bin/icc -openmp -c omp_a08.cpp
//  /opt/intel_cc_80/bin/icc -openmp -o omp_a08_cpp.exe omp_a08.o
//  omp_a08_cpp.exe
//
// -----------------------------------------------------------------
#include <iostream>
#include <omp.h>
using namespace std ;

// -----------------------------------------------------------------
void xaxis () { cout << " xaxis " << endl ; }
void yaxis () { cout << " yaxis " << endl ; }
void zaxis () { cout << " zaxis " << endl ; }

// -----------------------------------------------------------------
main () {
  // titulos
  cout << endl ;
  cout << " A08: specifying parallel sections " << endl ;
  cout << endl ;
  // tarea demo
  #pragma omp parallel sections
  {
  #pragma omp section
  xaxis ();
  #pragma omp section
  yaxis ();
  #pragma omp section
  zaxis ();
  }
  // finaliza
  cout << endl ;
  cout << " finished "<< endl ;
  cout << endl ;
} // end main
// -----------------------------------------------------------------
