!  =================================================================
!   PGI:
!   pgf90 -V -Minfo -mp -fast -c omp_a09.f90
!   pgf90 -V -Minfo -mp -fast -o omp_a09_f90.exe omp_a09.o
!   omp_a09_f90.exe
! 
!  -----------------------------------------------------------------
!   INTEL: 
!   source /opt/intel_cc_80/bin/iccvars.sh
!   alias f95='/opt/intel_fc_80/bin/ifort'
!   /opt/intel_fc_80/bin/ifort -openmp -c omp_a09.f90
!   /opt/intel_fc_80/bin/ifort -openmp -o omp_a09_f90.exe omp_a09.o
!   omp_a09_f90.exe
!
!  -----------------------------------------------------------------
!   ADAPTOR:
!   adaptor -openmp -free -o omp_a09_ada.exe omp_a09.f90
!   export OMP_NUM_THREADS=2 ; echo $OMP_NUM_THREADS
!   omp_a09_ada.exe
! 
!  -----------------------------------------------------------------
program a09
  implicit none
  ! titulos
  write (*,*)
  write (*,*)'A09: using single directives '
  write (*,*)
  ! tarea demo
  !omp$ parallel
  !omp$ barrier
  call  waxis ()
  !omp$ single
  call  xaxis ()
  !omp$ single
  call  yaxis ()
  !omp$ single
  call  zaxis ()
  !omp$ end single
  !omp$ end parallel
  ! finaliza
  write (*,*)
  write (*,*)'finished '
  write (*,*)
  contains
    subroutine waxis () 
      write (*,*)'waxis '
    end subroutine
    subroutine xaxis () 
      write (*,*)'xaxis '
    end subroutine
    subroutine yaxis () 
      write (*,*)'yaxis '
    end subroutine
    subroutine zaxis () 
      write (*,*)'zaxis '
    end subroutine
end program
!  =================================================================
