// -----------------------------------------------------------------
//  PGI:
//  pgCC -V -Minfo -mp -fast -c omp_a15.cpp
//  pgCC -V -Minfo -mp -fast -o omp_a15_cpp.exe omp_a15.o
//  omp_a15_cpp.exe
//
// -----------------------------------------------------------------
//  INTEL: 
//  source /opt/intel_cc_80/bin/iccvars.sh
//  alias icc='/opt/intel_cc_80/bin/icc'
//  /opt/intel_cc_80/bin/icc -openmp -c omp_a15.cpp
//  /opt/intel_cc_80/bin/icc -openmp -o omp_a15_cpp.exe omp_a15.o
//  omp_a15_cpp.exe
//
// -----------------------------------------------------------------
#include <iostream>
#include <omp.h>
using namespace std ;

// -----------------------------------------------------------------
void work (int i) { cout << " i = " << i << endl ; }

// -----------------------------------------------------------------
main () {
  int   i ;
  // titulos
  cout << endl ;
  cout << " A15: determining the number of threads used" << endl ;
  cout << endl ;
  // tarea demo
  #pragma omp parallel private (i)
  {
    i = omp_get_thread_num (); // debe estar dentro de zona paralela
    work (i) ;
  } // end pragma
  // finaliza
  cout << endl ;
  cout << " finished "<< endl ;
  cout << endl ;
} // end main
// -----------------------------------------------------------------
