!  =================================================================
!   PGI:
!   pgf90 -V -Minfo -mp -fast -c omp_a15.f90
!   pgf90 -V -Minfo -mp -fast -o omp_a15_f90.exe omp_a15.o
!   omp_a15_f90.exe
! 
!  -----------------------------------------------------------------
!   INTEL: 
!   source /opt/intel_cc_80/bin/iccvars.sh
!   alias f95='/opt/intel_fc_80/bin/ifort'
!   /opt/intel_fc_80/bin/ifort -openmp -c omp_a15.f90
!   /opt/intel_fc_80/bin/ifort -openmp -o omp_a15_f90.exe omp_a15.o
!   omp_a15_f90.exe
! 
!  -----------------------------------------------------------------
!   ADAPTOR:
!   adaptor -openmp -free -o omp_a15_ada.exe omp_a15.f90
!   export OMP_NUM_THREADS=2 ; echo $OMP_NUM_THREADS
!   omp_a15_ada.exe
!
!  -----------------------------------------------------------------
program a15
  implicit none
  integer :: omp_get_thread_num
  integer :: i
  ! titulos
  write (*,*)
  write (*,*)'A15: determining the number of threads used'
  write (*,*)
  ! tarea demo
  !omp$ parallel private (i)
  i = omp_get_thread_num () ! debe estar dentro de zona paralela
  call work (i)
  !omp$ end parallel
  ! finaliza
  write (*,*)
  write (*,*)'finished '
  write (*,*)
  contains
    subroutine work (i)
      integer, intent (in) :: i
      write (*,*)'i = ', i
    end subroutine
end program
!  =================================================================
