// -----------------------------------------------------------------
//  PGI:
//  pgCC -V -Minfo -mp -fast -c omp_a01.cpp
//  pgCC -V -Minfo -mp -fast -o omp_a01_cpp.exe omp_a01.o
//  omp_a01_cpp.exe
//
// -----------------------------------------------------------------
//  INTEL: 
//  source /opt/intel_cc_80/bin/iccvars.sh
//  alias icc='/opt/intel_cc_80/bin/icc'
//  /opt/intel_cc_80/bin/icc -openmp -c omp_a01.cpp
//  /opt/intel_cc_80/bin/icc -openmp -o omp_a01_cpp.exe omp_a01.o
//  omp_a01_cpp.exe
// -----------------------------------------------------------------
#include <iostream>
#include <omp.h>
using namespace std ;

// -----------------------------------------------------------------
main () {
  const int n = 10 ;
  float a [n], b [n] ;
  // titulos
  cout << endl ;
  cout << " A01: executing a simple loop in parallel " << endl ;
  cout << endl ;
  // tarea demo
  #pragma omp parallel for
  for (int i = 0 ; i < n ; i++) a [i] = (i + 1) * 1.0 ;
  #pragma omp parallel for
  for (int i = 1 ; i < n ; i++) b [i] = ( a [i] + a [i-1] ) / 2 ;
  cout << endl ;
  cout << " finished "<< endl ;
  cout << endl ;
} // end main
// -----------------------------------------------------------------
