// -----------------------------------------------------------------
//  PGI:
//  pgCC -V -Minfo -mp -fast -c omp_a03.cpp
//  pgCC -V -Minfo -mp -fast -o omp_a03_cpp.exe omp_a03.o
//  omp_a03_cpp.exe
//
// -----------------------------------------------------------------
//  INTEL: 
//  source /opt/intel_cc_80/bin/iccvars.sh
//  alias icc='/opt/intel_cc_80/bin/icc'
//  /opt/intel_cc_80/bin/icc -openmp -c omp_a03.cpp
//  /opt/intel_cc_80/bin/icc -openmp -o omp_a03_cpp.exe omp_a03.o
//  omp_a03_cpp.exe
//
// -----------------------------------------------------------------
#include <iostream>
#include <omp.h>
using namespace std ;

// -----------------------------------------------------------------
void subdominio (int h, int p) { } // end void

// -----------------------------------------------------------------
main () {
  int    h = 1, m = 2, n = 3, p = 4;
  // titulos
  cout << endl ;
  cout << " A03: using parallel regions " << endl ;
  cout << endl ;
  // tarea demo
  #pragma omp parallel shared (n) private (h, p, m)
  {
    h = omp_get_thread_num () ;
    p = omp_get_num_threads () ;
    m = n / p ;
    cout << " h = "<< h << endl ;
    subdominio (h,m);
  } // end pragma
  // finaliza
  cout << endl ;
  cout << " finished "<< endl ;
  cout << endl ;
} // end main
// -----------------------------------------------------------------
