!  =================================================================
!   PGI:
!   pgf90 -V -Minfo -mp -fast -c omp_a03.f90
!   pgf90 -V -Minfo -mp -fast -o omp_a03_f90.exe omp_a03.o
!   omp_a03_f90.exe
! 
!  -----------------------------------------------------------------
!   INTEL: 
!   source /opt/intel_cc_80/bin/iccvars.sh
!   alias f95='/opt/intel_fc_80/bin/ifort'
!   /opt/intel_fc_80/bin/ifort -openmp -c omp_a03.f90
!   /opt/intel_fc_80/bin/ifort -openmp -o omp_a03_f90.exe omp_a03.o
!   omp_a03_f90.exe
!
!  -----------------------------------------------------------------
!   ADAPTOR:
!   adaptor -openmp -free -o omp_a03_ada.exe omp_a03.f90
!   export OMP_NUM_THREADS=2 ; echo $OMP_NUM_THREADS
!   omp_a03_ada.exe
! 
!  -----------------------------------------------------------------
program a03
  implicit none
  integer :: omp_get_thread_num
  integer :: omp_get_num_threads
  integer :: h = 1, m = 2, n = 3, p = 4
  ! titulos
  write (*,*)
  write (*,*)'A03: using parallel regions '
  write (*,*)
  ! tarea demo
  !omp$ parallel shared (n) private (h, p, m)
    h = omp_get_thread_num () 
    p = omp_get_num_threads () 
    m = n / p
    write (*,*)'h = ', h
    call subdominio (h,m)
  !omp$ parallel
  ! fiinaliza
  write (*,*)
  write (*,*)'finished '
  write (*,*)
  contains
    subroutine subdominio (h,p)
    integer, intent (in) :: h
    integer, intent (in) :: p
    end subroutine
end program
!  =================================================================
