!  =================================================================
!   PGI:
!   pgf90 -V -Minfo -mp -fast -c omp_a04.f90
!   pgf90 -V -Minfo -mp -fast -o omp_a04_f90.exe omp_a04.o
!   omp_a04_f90.exe
! 
!  -----------------------------------------------------------------
!   INTEL: 
!   source /opt/intel_cc_80/bin/iccvars.sh
!   alias f95='/opt/intel_fc_80/bin/ifort'
!   /opt/intel_fc_80/bin/ifort -openmp -c omp_a04.f90
!   /opt/intel_fc_80/bin/ifort -openmp -o omp_a04_f90.exe omp_a04.o
!   omp_a04_f90.exe
!
!  -----------------------------------------------------------------
!   ADAPTOR:
!   adaptor -openmp -free -o omp_a04_ada.exe omp_a04.f90
!   export OMP_NUM_THREADS=2 ; echo $OMP_NUM_THREADS
!   omp_a04_ada.exe
! 
!  -----------------------------------------------------------------
program a04
  implicit none
  integer, parameter     :: n = 100
  real   , dimension (n) :: a, b, c
  integer :: i
  ! titulos
  write (*,*)
  write (*,*)'A04: using the nowait clause '
  write (*,*)
  ! tarea demo
  !omp$ parallel
  !omp$ do
  do  i = 1, n
    a (i) = (i + 1) * 1.0 
  end do ! i
  !omp$ do
  do  i = 1, n
    b (i) = ( a (i) +  a (i - 1) ) / 2.0
  end do ! i
  !omp$ do
  do  i = 1, n
    c (i) = sqrt ( b (i) )
  end do ! i
  ! finaliza
  write (*,*)
  write (*,*)'finished '
  write (*,*)
end program
!  =================================================================
