// -----------------------------------------------------------------
//  PGI:
//  pgCC -V -Minfo -mp -fast -c omp_a05.cpp
//  pgCC -V -Minfo -mp -fast -o omp_a05_cpp.exe omp_a05.o
//  omp_a05_cpp.exe
//
// -----------------------------------------------------------------
//  INTEL: 
//  source /opt/intel_cc_80/bin/iccvars.sh
//  alias icc='/opt/intel_cc_80/bin/icc'
//  /opt/intel_cc_80/bin/icc -openmp -c omp_a05.cpp
//  /opt/intel_cc_80/bin/icc -openmp -o omp_a05_cpp.exe omp_a05.o
//  omp_a05_cpp.exe
//
// -----------------------------------------------------------------
#include <iostream>
#include <omp.h>
using namespace std ;

// -----------------------------------------------------------------
int  decolar (int x) {return x;} // end int
void trabajo (int x) {         } // end void

// -----------------------------------------------------------------
main () {
  int x = 1, y = 2, u, v;
  // titulos
  cout << endl ;
  cout << " A05: using the critical directive " << endl ;
  cout << endl ;
  // tarea demo
  #pragma omp parallel shared (x,y) private (u,v)
  {
    #pragma omp critical (xaxis)
      u = decolar (x) ;
      trabajo (u) ;
      cout << " u = "<< u << endl ;
    #pragma omp critical (yaxis)
      v = decolar (y) ;
      trabajo (v) ;
      cout << " v = "<< v << endl ;
  } // end pragma
  // finaliza
  cout << endl ;
  cout << " finished "<< endl ;
  cout << endl ;
} // end main
// -----------------------------------------------------------------
