!  =================================================================
!   PGI:
!   pgf90 -V -Minfo -mp -fast -c omp_a08.f90
!   pgf90 -V -Minfo -mp -fast -o omp_a08_f90.exe omp_a08.o
!   omp_a08_f90.exe
! 
!  -----------------------------------------------------------------
!   INTEL: 
!   source /opt/intel_cc_80/bin/iccvars.sh
!   alias f95='/opt/intel_fc_80/bin/ifort'
!   /opt/intel_fc_80/bin/ifort -openmp -c omp_a08.f90
!   /opt/intel_fc_80/bin/ifort -openmp -o omp_a08_f90.exe omp_a08.o
!   omp_a08_f90.exe
! 
!  -----------------------------------------------------------------
!   ADAPTOR:
!   adaptor -openmp -free -o omp_a08_ada.exe omp_a08.f90
!   export OMP_NUM_THREADS=2 ; echo $OMP_NUM_THREADS
!   omp_a08_ada.exe
!
!  -----------------------------------------------------------------
program a08
  implicit none
  ! titulos
  write (*,*)
  write (*,*)'A08: specifying parallel sections '
  write (*,*)
  ! tarea demo
  !omp$ parallel sections
  call  xaxis ()
  call  yaxis ()
  call  zaxis ()
  !omp$ end parallel
  ! finaliza
  write (*,*)
  write (*,*)'finished '
  write (*,*)
  contains
    subroutine xaxis () 
      write (*,*)'xaxis '
    end subroutine
    subroutine yaxis () 
      write (*,*)'yaxis '
    end subroutine
    subroutine zaxis () 
      write (*,*)'zaxis '
    end subroutine
end program
!  =================================================================
