// -----------------------------------------------------------------
//  PGI:
//  pgCC -V -Minfo -mp -fast -c omp_a09.cpp
//  pgCC -V -Minfo -mp -fast -o omp_a09_cpp.exe omp_a09.o
//  omp_a09_cpp.exe
//
// -----------------------------------------------------------------
//  INTEL: 
//  source /opt/intel_cc_80/bin/iccvars.sh
//  alias icc='/opt/intel_cc_80/bin/icc'
//  /opt/intel_cc_80/bin/icc -openmp -c omp_a09.cpp
//  /opt/intel_cc_80/bin/icc -openmp -o omp_a09_cpp.exe omp_a09.o
//  omp_a09_cpp.exe
//
// -----------------------------------------------------------------
#include <iostream>
#include <omp.h>
using namespace std ;

// -----------------------------------------------------------------
void waxis () { cout << " waxis " << endl ; }
void xaxis () { cout << " xaxis " << endl ; }
void yaxis () { cout << " yaxis " << endl ; }
void zaxis () { cout << " zaxis " << endl ; }

// -----------------------------------------------------------------
main () {
  // titulos
  cout << endl ;
  cout << " A09: using single directives " << endl ;
  cout << endl ;
  // tarea demo
  #pragma omp parallel
  {
    waxis ();
   #pragma omp barrier
   #pragma omp single
    xaxis ();
   #pragma omp single
    yaxis ();
   #pragma omp single
    zaxis ();
  }
  // finaliza
  cout << endl ;
  cout << " finished "<< endl ;
  cout << endl ;
} // end main
// -----------------------------------------------------------------
