// -----------------------------------------------------------------
//  PGI:
//  pgCC -V -Minfo -mp -fast -c omp_a10.cpp
//  pgCC -V -Minfo -mp -fast -o omp_a10_cpp.exe omp_a10.o
//  omp_a10_cpp.exe
//
// -----------------------------------------------------------------
//  INTEL: 
//  source /opt/intel_cc_80/bin/iccvars.sh
//  alias icc='/opt/intel_cc_80/bin/icc'
//  /opt/intel_cc_80/bin/icc -openmp -c omp_a10.cpp
//  /opt/intel_cc_80/bin/icc -openmp -o omp_a10_cpp.exe omp_a10.o
//  omp_a10_cpp.exe
//
// -----------------------------------------------------------------
#include <iostream>
#include <omp.h>
using namespace std ;

// -----------------------------------------------------------------
void work (int i) { 
 #pragma omp ordered
  cout << " i = " << i << endl ; 
} // end void

// -----------------------------------------------------------------
main () {
  const int n = 10 ;
  int i ;
  // titulos
  cout << endl ;
  cout << " A10: using sequential ordering" << endl ;
  cout << endl ;
  // tarea demo
  #pragma omp for ordered schedule (dynamic)
  for (i = 1 ; i < n ; i++ ) work (i) ;
  // finaliza
  cout << endl ;
  cout << " finished "<< endl ;
  cout << endl ;
} // end main
// -----------------------------------------------------------------
